Package org.apache.felix.http.base.internal.whiteboard

## Class WhiteboardContextHandler

- java.lang.Object
- - org.apache.felix.http.base.internal.whiteboard.WhiteboardContextHandler

All Implemented Interfaces:
  `Comparable<WhiteboardContextHandler>`

Direct Known Subclasses:
  `HttpServiceContextHandler`

    public class WhiteboardContextHandler
    extends Object
    implements Comparable<WhiteboardContextHandler>

The whiteboard context handler provides some information and functionality for handling servlet context (helpers).

### Constructor Summary

Constructors
`WhiteboardContextHandler​(@NotNull ServletContextHelperInfo info, @NotNull javax.servlet.ServletContext webContext, @NotNull org.osgi.framework.Bundle httpBundle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `activate​(@NotNull HandlerRegistry registry)` Activate this context.
`int` `compareTo​(@NotNull WhiteboardContextHandler o)`
`void` `deactivate​(@NotNull HandlerRegistry registry)` Deactivate this context.
`@NotNull org.osgi.framework.BundleContext` `getBundleContext()`
`@NotNull ServletContextHelperInfo` `getContextInfo()`
`@Nullable PerContextHandlerRegistry` `getRegistry()`
`@Nullable ExtServletContext` `getServletContext​(@Nullable org.osgi.framework.Bundle bundle)`
`@Nullable javax.servlet.ServletContext` `getSharedContext()`
`void` `ungetServletContext​(@NotNull org.osgi.framework.Bundle bundle)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WhiteboardContextHandler

    public WhiteboardContextHandler​(@NotNull
                                    @NotNull ServletContextHelperInfo info,
                                    @NotNull
                                    @NotNull javax.servlet.ServletContext webContext,
                                    @NotNull
                                    @NotNull org.osgi.framework.Bundle httpBundle)

### Method Detail

#### getBundleContext

    @NotNull
    public @NotNull org.osgi.framework.BundleContext getBundleContext()

#### getContextInfo

    @NotNull
    public @NotNull ServletContextHelperInfo getContextInfo()

#### compareTo

    public int compareTo​(@NotNull
                         @NotNull WhiteboardContextHandler o)

Specified by:
  `compareTo` in interface `Comparable<WhiteboardContextHandler>`

#### activate

    public boolean activate​(@NotNull
                            @NotNull HandlerRegistry registry)

Activate this context.

Returns:
  `true` if it succeeded.

#### deactivate

    public void deactivate​(@NotNull
                           @NotNull HandlerRegistry registry)

Deactivate this context.

#### getSharedContext

    @Nullable
    public @Nullable javax.servlet.ServletContext getSharedContext()

#### getServletContext

    @Nullable
    public @Nullable ExtServletContext getServletContext​(@Nullable
                                                         @Nullable org.osgi.framework.Bundle bundle)

#### ungetServletContext

    public void ungetServletContext​(@NotNull
                                    @NotNull org.osgi.framework.Bundle bundle)

#### getRegistry

    @Nullable
    public @Nullable PerContextHandlerRegistry getRegistry()